<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
 * Ajouter ici d'éventuels commentaires sur le fichier XML
-->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:ns5="http://www.w3.org/1999/xhtml" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="colormap" xml:lang="en">
  <info>
    <pubdate>$LastChangedDate: 26-05-2009 $</pubdate>
  </info>
  <refnamediv>
    <refname>colormap</refname>
    <refpurpose>Set/get the RGB colormap of currently active
    figure</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>c = colormap(M)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>M</term>
        <listitem>
          <para>n by 3 matrix or a string</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>c</term>
        <listitem>
          <para>n by 3 matrix</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>colormap(M) sets the current figure's colormap to M.</para>
    <para>M = colormap() retrieves the current colormap. The values are in the
    range from 0 to 1. M is a m x 3 matrix. m is the number of colors. Color
    number i is given as a 3-uple M(i,1), M(i,2), M(i,3) corresponding
    respectively to red, green and blue intensity. For example, [0 0 0] is
    black, [1 1 1] is white, [1 0 0] is pure red, [.5 .5 .5] is gray, and
    [127/255 1 212/255] is aquamarine.</para>
    <para>When M is a string, M can take the values</para>
    <itemizedlist>
      <listitem>
        <para>'hot', 'gray', 'copper', 'cool', 'bone', 'red','green', 'blue',
        jet'</para>
      </listitem>
    </itemizedlist>
    <para>The colormap is used by macros which produce pseudocolor patches,
    such as pcolor, tripcolor, surf, trisurf, surfl, trisurfl. </para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example">pcolor(rand(10,10));
colormap gray</programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="caxis">caxis</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <simplelist type="vert">
      <member>add the author name and author reference</member>
      <member>add another author name and it's reference</member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Bibliography</title>
    <para>Add here the function bibliography</para>
  </refsection>
  <refsection>
    <title>Used Functions</title>
    <para>Add here the Scilab, C,... used code references</para>
  </refsection>
</refentry>
